Bug 14608 - HEA : add possibility of sharing usage statistics in Administration page
Summary: HEA : add possibility of sharing usage statistics in Administration page
Status: RESOLVED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: System Administration (show other bugs)
Version: master
Hardware: All All
: P5 - low enhancement (vote)
Assignee: Jonathan Druart
QA Contact: Marcel de Rooy
URL:
Whiteboard:
Keywords:
Depends on: 11926 13585
Blocks: 18066
  Show dependency treegraph
 
Reported: 2015-07-28 12:06 UTC by Julian FIOL
Modified: 2017-05-24 02:02 UTC (History)
13 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Small patch
Bot Control: ---
When did the bot last check this:
Who signed the patch off:
Text to go in the release notes:
This patch set adds: - a reference to Hea at the end of the installation process - a link to the new page from the admin home page - a new page to easily configure shared statistics


Attachments
Bug 14608 : Add a message on the Administration page to share statistics (10.31 KB, patch)
2015-07-28 12:31 UTC, Julian FIOL
Details | Diff | Splinter Review
Bug 14608 : Add Hea activation in Koha Web Installer (5.30 KB, patch)
2015-07-28 12:31 UTC, Julian FIOL
Details | Diff | Splinter Review
Bug 14608 : Adding the new syspref UsageStatsLastDisplay to the updatedb (atomicupdate dir) (903 bytes, patch)
2015-08-20 12:27 UTC, Julian FIOL
Details | Diff | Splinter Review
Big 14608 : Hide UsageStatsLastDisplay syspref (1.24 KB, patch)
2015-08-20 12:29 UTC, Julian FIOL
Details | Diff | Splinter Review
Bug 14608 : Add a message on the Administration page to share statistics (12.47 KB, patch)
2016-09-23 13:47 UTC, Julian Maurice
Details | Diff | Splinter Review
Bug 14608: Add a page to configure shared statistics (14.23 KB, patch)
2016-12-21 13:42 UTC, Jonathan Druart
Details | Diff | Splinter Review
Bug 14608: Add a link from the admin home page (1.17 KB, patch)
2016-12-21 13:42 UTC, Jonathan Druart
Details | Diff | Splinter Review
Bug 14608: Add a reference to Hea at the end of the installer process (1.17 KB, patch)
2016-12-21 13:42 UTC, Jonathan Druart
Details | Diff | Splinter Review
Bug 14608: Add a page to configure shared statistics (14.28 KB, patch)
2017-01-13 18:48 UTC, M. Tompsett
Details | Diff | Splinter Review
Bug 14608: Add a link from the admin home page (1.22 KB, patch)
2017-01-13 18:48 UTC, M. Tompsett
Details | Diff | Splinter Review
Bug 14608: Add a reference to Hea at the end of the installer process (1.22 KB, patch)
2017-01-13 18:48 UTC, M. Tompsett
Details | Diff | Splinter Review
Bug 14608: Follow up on labels and search box (4.26 KB, patch)
2017-01-13 18:49 UTC, M. Tompsett
Details | Diff | Splinter Review
Bug 14608: Add a page to configure shared statistics (14.35 KB, patch)
2017-02-06 21:22 UTC, Chris Cormack
Details | Diff | Splinter Review
Bug 14608: Add a link from the admin home page (1.28 KB, patch)
2017-02-06 21:23 UTC, Chris Cormack
Details | Diff | Splinter Review
Bug 14608: Add a reference to Hea at the end of the installer process (1.28 KB, patch)
2017-02-06 21:23 UTC, Chris Cormack
Details | Diff | Splinter Review
Bug 14608: Follow up on labels and search box (4.32 KB, patch)
2017-02-06 21:23 UTC, Chris Cormack
Details | Diff | Splinter Review
Bug 14608: Move country list to an include file (6.67 KB, patch)
2017-03-13 12:21 UTC, Jonathan Druart
Details | Diff | Splinter Review
Bug 14608: Add a page to configure shared statistics (14.43 KB, patch)
2017-03-17 09:29 UTC, Marcel de Rooy
Details | Diff | Splinter Review
Bug 14608: Add a link from the admin home page (1.37 KB, patch)
2017-03-17 09:29 UTC, Marcel de Rooy
Details | Diff | Splinter Review
Bug 14608: Add a reference to Hea at the end of the installer process (1.36 KB, patch)
2017-03-17 09:29 UTC, Marcel de Rooy
Details | Diff | Splinter Review
Bug 14608: Follow up on labels and search box (4.41 KB, patch)
2017-03-17 09:29 UTC, Marcel de Rooy
Details | Diff | Splinter Review
Bug 14608: Move country list to an include file (6.77 KB, patch)
2017-03-17 09:29 UTC, Marcel de Rooy
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Julian FIOL 2015-07-28 12:06:48 UTC
This patch add the possibility of sharing Koha usage statistics with the community on http://hea.koha-community.org/

The data sent anonymously can be find here :
http://wiki.koha-community.org/wiki/KohaUsageStat_RFC#Which_data_are_sent_.3F

It add a choice in the web installer to send, not send or remind later to share these stats.

If you choose 'Yes',   it will send anonymously stats every months.
If you choose 'No',    it will not send your stats and never remind you to do it.
If you choose 'Later', it will remind you to make a choice in 7 days on the Administration page. 

This message has the same 3 possibilities :
'Yes'   : it will send anonymously stats every months.
'No'    : it will not send your stats and never remind you to do it.
'Later' : it will show you again this message in 7 days. 

If you have an already installed koha, it will show you directly the message on the Administration page with the same choices and effect than above.

This patch depends on Bug 13585 - HEA - Cronjob Setup
which will activate the monthly cron to actually share statistics.
Comment 1 Julian FIOL 2015-07-28 12:31:16 UTC
Created attachment 41212 [details] [review]
Bug 14608 : Add a message on the Administration page to share statistics

This patch add a message on the Administration page to
share your usage statistics to hea.koha-community.org

If you click on :

'Yes'   : It set the 'UsageStats' syspref to 1 (activate sharing)
and the 'UsageStatsLastDisplay' syspref to 0.

'Later' : It set the 'UsageStats' syspref to 0
and the 'UsageStatsLastDisplay' syspref to the today's date
and it will show again the message after 7 days.

'No'    : It set the 'UsageStats' syspref to 0
and the 'UsageStatsLastDisplay' syspref to 0.
Comment 2 Julian FIOL 2015-07-28 12:31:23 UTC
Created attachment 41213 [details] [review]
Bug 14608 : Add Hea activation in Koha Web Installer

This patch add the possibility to share your usage
statistics to hea.koha-community.org in the web installer.

If you click on :

'Yes'   : It set the 'UsageStats' syspref to 1 (activate sharing)
and the 'UsageStatsLastDisplay' syspref to 0.

'Later' : It set the 'UsageStats' syspref to 0
and the 'UsageStatsLastDisplay' syspref to the today's date.
A message on the Administration page will offer you again
the possibility of sharing your stats in 7 days.

'No'    : It set the 'UsageStats' syspref to 0
and the 'UsageStatsLastDisplay' syspref to 0.
Comment 3 Julian FIOL 2015-07-28 14:21:19 UTC
This patch is playing with 2 sysprefs in 
Home › Administration › System preferences > Administration :

'UsageStats' which allow or not the stats sharing
=> it can take 2 values : 'share' or 'don't share'

'UsageStatsLastDisplay' which is the last time you see the message
asking you if you want to share your stats.
=> its value is free but :
- empty       means you never see the message
- 0           means you don't want to see the message
- XXXXXXXXXXX is the last time you see the message (in ms from epoch)


TEST PLAN
---------

Make a new Koha install

At the end of step 3, you should see the possibility of sharing your usage 
statistics with the community, with 3 possibilities :

- Yes   -
--------- 
--> set the 'UsageStats' syspref to "share"
This enable the stats sharing.
--> set the 'UsageStatsLastDisplay' syspref to 0
This prevent showing the message in the administration page.
You should never see it.

- Later -
---------
--> set the 'UsageStats' syspref to "don't share"
This disable the stats sharing.
--> set the 'UsageStatsLastDisplay' syspref to today's date (in ms from epoch)
You shouldn't see the message before 7 days.
Try to change your system clock to NOW+7 days, then reload the Administration page,
you should see the message again. 

- No    -
--------- 
--> set the 'UsageStats' syspref to "don't share"
This disable the stats sharing.
--> set the 'UsageStatsLastDisplay' syspref to 0
This prevent showing the message in the administration page.
You should never see it.
Comment 4 Jonathan Druart 2015-08-19 15:08:28 UTC
The new pref should be added to the updatedb (atomicupdate file).
Comment 5 Jonathan Druart 2015-08-19 15:11:12 UTC
The UsageStatsLastDisplay pref should be hidden (like UsageStatsID and usagestatslastupdatetime).
Comment 6 Jonathan Druart 2015-08-19 15:13:10 UTC
Otherwise everything looks good.
Marked as Failed QA.
Comment 7 Julian FIOL 2015-08-20 12:27:29 UTC
Created attachment 41712 [details] [review]
Bug 14608 : Adding the new syspref UsageStatsLastDisplay to the updatedb (atomicupdate dir)

In response of Joubu comment #4
Comment 8 Julian FIOL 2015-08-20 12:29:05 UTC
Created attachment 41713 [details] [review]
Big 14608 : Hide UsageStatsLastDisplay syspref

In response of Joubu comment #5
Comment 9 Marc Véron 2016-01-02 11:21:47 UTC
CONFLICT (content): Merge conflict in koha-tmpl/intranet-tmpl/prog/en/modules/admin/preferences/admin.pref
Comment 10 Julian Maurice 2016-09-23 13:47:15 UTC
Created attachment 55773 [details] [review]
Bug 14608 : Add a message on the Administration page to share statistics

This patch add a message on the Administration page to share your usage
statistics to hea.koha-community.org

If you click on :

  'Yes'   : It set the 'UsageStats' syspref to 1 (activate sharing)
            and the 'UsageStatsLastDisplay' syspref to 0.

  'Later' : It set the 'UsageStats' syspref to 0 and the
            'UsageStatsLastDisplay' syspref to the today's date and it
            will show again the message after 7 days.

  'No'    : It set the 'UsageStats' syspref to 0 and the
            'UsageStatsLastDisplay' syspref to 0.

This patch also add the possibility to enable the sharing feature from
the web installer.

If you click on:

  'Yes'   : It set the 'UsageStats' syspref to 1 (activate sharing)
            and the 'UsageStatsLastDisplay' syspref to 0.

  'Later' : It set the 'UsageStats' syspref to 0 and the
            'UsageStatsLastDisplay' syspref to the today's date.  A
            message on the Administration page will offer you again the
            possibility of sharing your stats in 7 days.

  'No'    : It set the 'UsageStats' syspref to 0 and the
            'UsageStatsLastDisplay' syspref to 0.
Comment 11 Julian Maurice 2016-09-23 13:47:36 UTC
All patches squashed and rebased on master
Comment 12 Jonathan Druart 2016-12-21 11:45:54 UTC
I am going to rework this code.
Comment 13 Jonathan Druart 2016-12-21 13:42:48 UTC
Created attachment 58340 [details] [review]
Bug 14608: Add a page to configure shared statistics

This patch set adds:
- a reference to Hea at the end of the installation process
- a link to the new page from the admin home page
- a new page to easily configure shared statistics
Comment 14 Jonathan Druart 2016-12-21 13:42:53 UTC
Created attachment 58341 [details] [review]
Bug 14608: Add a link from the admin home page
Comment 15 Jonathan Druart 2016-12-21 13:42:57 UTC
Created attachment 58342 [details] [review]
Bug 14608: Add a reference to Hea at the end of the installer process
Comment 16 Jonathan Druart 2016-12-21 13:47:17 UTC
I have redone this code to make it more attractive.
The goal is to create a new page to configure the information shared by the libraries with the Koha community.

I'd like help to add more information about 1. how libraries should share them, 2. how and why it is useful for the Koha community to get them

A link to the privacy policy and the license information should also be added (https://github.com/biblibre/hea-app/pull/13).

Not really ready for a signoff but changing the status to highlight the fact it is testable anyway.
Comment 17 Owen Leonard 2016-12-21 17:14:45 UTC
I would like to see a new last step at the end of the installation process where the usage statistics preferences could be saved directly. That is, show the whole form from admin/usage_statistics.pl.
Comment 18 M. Tompsett 2016-12-23 06:13:29 UTC
I was looking at bug 17809 and wondering why country authorised values are not set or available in every language. It would be nicer than having country names hard coded.
Comment 19 Chris Cormack 2016-12-23 06:16:57 UTC
(In reply to M. Tompsett from comment #18)
> I was looking at bug 17809 and wondering why country authorised values are
> not set or available in every language. It would be nicer than having
> country names hard coded.

On the contrary, the problem we are seeking to solve is not having multiple names for the same country. Using authorised values does not solve this, as they are user editable.
Comment 20 Katrin Fischer 2016-12-23 08:41:57 UTC
Also authorised values are only translatable in an odd way, you have to create your own web installer. Them being in the templates makes it much easier.
Comment 21 Jonathan Druart 2016-12-23 09:03:22 UTC
(In reply to Owen Leonard from comment #17)
> I would like to see a new last step at the end of the installation process
> where the usage statistics preferences could be saved directly. That is,
> show the whole form from admin/usage_statistics.pl.

That was the first idea, but finally I don't know if it is a good one.
For instance if we want to add geoloc info (bug 17802) or other info at branch level, the form will not be complete at the end of the installer (branches do not exist yet).
Comment 22 M. Tompsett 2017-01-11 17:30:32 UTC
(In reply to Owen Leonard from comment #17)
> I would like to see a new last step at the end of the installation process
> where the usage statistics preferences could be saved directly. That is,
> show the whole form from admin/usage_statistics.pl.

In bug 17855, the whole onboarding (must be regional or expertise lingo) process could deal with that.


(In reply to Jonathan Druart from comment #21)
> That was the first idea, but finally I don't know if it is a good one.
> For instance if we want to add geoloc info (bug 17802) or other info at
> branch level, the form will not be complete at the end of the installer
> (branches do not exist yet).

But they could, if they were onboard'd. See bug 17855 for some enhancement dreaming. :)
Comment 23 Jonathan Druart 2017-01-11 17:53:16 UTC
(In reply to M. Tompsett from comment #22)
> But they could, if they were onboard'd. See bug 17855 for some enhancement
> dreaming. :)

Bug 17855 is huge and does not seem to be ready to be pushed.
I'd prefer not to wait for it to get this one in.
Comment 24 M. Tompsett 2017-01-13 03:24:08 UTC
(In reply to Jonathan Druart from comment #23)
> (In reply to M. Tompsett from comment #22)
> > But they could, if they were onboard'd. See bug 17855 for some enhancement
> > dreaming. :)
> 
> Bug 17855 is huge and does not seem to be ready to be pushed.
> I'd prefer not to wait for it to get this one in.

It is ready for QA now. :)
Comment 25 Hugo Agud 2017-01-13 13:18:42 UTC
I have tested and it works fine! I have not activated the cronjobs because we're on development environment.

I have not create the signed patch, because I stll doesn'r know how to do it, soon I will do.
Comment 26 Owen Leonard 2017-01-13 13:38:53 UTC
Can I add one small request before this goes to QA?

In the form, instead of:

<span class="label">Your country: </span>

It should be a real <label> tag:

<label for="UsageStatsCountry">Your country: </label>

<span class="label"> is used when we want to have a line in a form which isn't a label/form field pair, but we want the style to look consistent. See for example, the "City ID" line when editing a city in Administration.

Along with that, each corresponding <input> or <select> should have an "id" attribute which matches the "for" attribute of the label. This allows the user to click the label to move the focus to the corresponding form field.
Comment 27 M. Tompsett 2017-01-13 18:27:05 UTC
Comment on attachment 58340 [details] [review]
Bug 14608: Add a page to configure shared statistics

Review of attachment 58340 [details] [review]:
-----------------------------------------------------------------

::: koha-tmpl/intranet-tmpl/prog/en/modules/admin/usage_statistics.tt
@@ +8,5 @@
> +</head>
> +
> +<body id="admin_usage_statistics" class="admin">
> +[% INCLUDE 'header.inc' %]
> +[% INCLUDE 'patrons-admin-search.inc' %]

I'm not sure this is the correct search area to have at the top of the page.
The value of script_name isn't defined, and while empty works on patron categories administrative page, it doesn't work here.
I'm thinking cat-search.inc might be better.
Comment 28 M. Tompsett 2017-01-13 18:48:37 UTC
Created attachment 58968 [details] [review]
Bug 14608: Add a page to configure shared statistics

This patch set adds:
- a reference to Hea at the end of the installation process
- a link to the new page from the admin home page
- a new page to easily configure shared statistics

Signed-off-by: Mark Tompsett <mtompset@hotmail.com>
Comment 29 M. Tompsett 2017-01-13 18:48:45 UTC
Created attachment 58969 [details] [review]
Bug 14608: Add a link from the admin home page

Signed-off-by: Mark Tompsett <mtompset@hotmail.com>
Comment 30 M. Tompsett 2017-01-13 18:48:52 UTC
Created attachment 58970 [details] [review]
Bug 14608: Add a reference to Hea at the end of the installer process

Signed-off-by: Mark Tompsett <mtompset@hotmail.com>
Comment 31 M. Tompsett 2017-01-13 18:49:00 UTC
Created attachment 58971 [details] [review]
Bug 14608: Follow up on labels and search box

This addresses concerns raised in comment #26 and comment #27.
Comment 32 M. Tompsett 2017-01-13 18:50:28 UTC
I've signed off on this, but given that my patch is an attempt to address #26 and #27, I'll let someone else like Owen or Jonathan sign it off to get it ready for QA.
Comment 33 Chris Cormack 2017-02-06 21:22:50 UTC
Created attachment 59949 [details] [review]
Bug 14608: Add a page to configure shared statistics

This patch set adds:
- a reference to Hea at the end of the installation process
- a link to the new page from the admin home page
- a new page to easily configure shared statistics

Signed-off-by: Mark Tompsett <mtompset@hotmail.com>
Signed-off-by: Chris Cormack <chrisc@catalyst.net.nz>
Comment 34 Chris Cormack 2017-02-06 21:23:07 UTC
Created attachment 59950 [details] [review]
Bug 14608: Add a link from the admin home page

Signed-off-by: Mark Tompsett <mtompset@hotmail.com>
Signed-off-by: Chris Cormack <chrisc@catalyst.net.nz>
Comment 35 Chris Cormack 2017-02-06 21:23:25 UTC
Created attachment 59951 [details] [review]
Bug 14608: Add a reference to Hea at the end of the installer process

Signed-off-by: Mark Tompsett <mtompset@hotmail.com>
Signed-off-by: Chris Cormack <chrisc@catalyst.net.nz>
Comment 36 Chris Cormack 2017-02-06 21:23:47 UTC
Created attachment 59952 [details] [review]
Bug 14608: Follow up on labels and search box

This addresses concerns raised in comment #26 and comment #27.

Signed-off-by: Chris Cormack <chrisc@catalyst.net.nz>
Comment 37 Marcel de Rooy 2017-03-10 10:58:27 UTC
Please move the countries somewhere else :)
Comment 38 Jonathan Druart 2017-03-10 12:51:40 UTC
(In reply to Marcel de Rooy from comment #37)
> Please move the countries somewhere else :)

I do not know what you mean, it's how it is done in admin/preferences/admin.pref
I know it is not ideal to have that list in 2 places, but it will not be easy to centralise it.
I would prefer to deal with that on another bug report, unless you have something easy to suggest?
Comment 39 Marcel de Rooy 2017-03-13 07:51:59 UTC
(In reply to Jonathan Druart from comment #38)
> (In reply to Marcel de Rooy from comment #37)
> > Please move the countries somewhere else :)
> 
> I do not know what you mean, it's how it is done in
> admin/preferences/admin.pref
> I know it is not ideal to have that list in 2 places, but it will not be
> easy to centralise it.
> I would prefer to deal with that on another bug report, unless you have
> something easy to suggest?

We could start with putting the country list of this report in a general include file.
Removing the list from admin.pref yaml file is for another report. (We should probably load them from the general include and insert them into admin/preferences.pl somewhere. Yaml cannot include files..)
Comment 40 Jonathan Druart 2017-03-13 12:21:21 UTC
Created attachment 61031 [details] [review]
Bug 14608: Move country list to an include file
Comment 41 Jonathan Druart 2017-03-13 12:22:00 UTC
Marcel, is it what you were expecting?
Comment 42 Marcel de Rooy 2017-03-13 12:25:34 UTC
(In reply to Jonathan Druart from comment #41)
> Marcel, is it what you were expecting?

Yes, looks like it. Will continue here later this week..
Comment 43 Katrin Fischer 2017-03-14 11:17:00 UTC
Just a note: Translating the countries is quite a bit of work, please make sure the include file is translatable - looking at it I am not sure as there is no HTML.
Comment 44 Jonathan Druart 2017-03-14 13:21:59 UTC
(In reply to Katrin Fischer from comment #43)
> Just a note: Translating the countries is quite a bit of work, please make
> sure the include file is translatable - looking at it I am not sure as there
> is no HTML.

I thought they were already not translatable on the prefs page, because they are translated in the DB and how we handle all of that is completely buggy.
But actually they are translated...

I really would prefer to deal with that on another bug report, and find a way to use the same file from the pref and admin pages.
Comment 45 Katrin Fischer 2017-03-14 15:25:20 UTC
They are translated via the yaml file - the memory of translating them is still fresh. Having only one list would be preferable of course.
Comment 46 Marc Véron 2017-03-14 15:52:49 UTC
Just wondering:
- What value will be sent to the HEA database? 
- The translated one? 
- Does it depend on what language is choosen at the moment you set the value for UsageStatsCountry?
- Deutschland or Germany?
Comment 47 Jonathan Druart 2017-03-14 16:02:53 UTC
(In reply to Marc Véron from comment #46)
> Just wondering:
> - What value will be sent to the HEA database? 

The non-translated ones.
Comment 48 Marcel de Rooy 2017-03-17 09:29:07 UTC
Created attachment 61201 [details] [review]
Bug 14608: Add a page to configure shared statistics

This patch set adds:
- a reference to Hea at the end of the installation process
- a link to the new page from the admin home page
- a new page to easily configure shared statistics

Signed-off-by: Mark Tompsett <mtompset@hotmail.com>
Signed-off-by: Chris Cormack <chrisc@catalyst.net.nz>

Signed-off-by: Marcel de Rooy <m.de.rooy@rijksmuseum.nl>
Comment 49 Marcel de Rooy 2017-03-17 09:29:12 UTC
Created attachment 61202 [details] [review]
Bug 14608: Add a link from the admin home page

Signed-off-by: Mark Tompsett <mtompset@hotmail.com>
Signed-off-by: Chris Cormack <chrisc@catalyst.net.nz>

Signed-off-by: Marcel de Rooy <m.de.rooy@rijksmuseum.nl>
Comment 50 Marcel de Rooy 2017-03-17 09:29:16 UTC
Created attachment 61203 [details] [review]
Bug 14608: Add a reference to Hea at the end of the installer process

Signed-off-by: Mark Tompsett <mtompset@hotmail.com>
Signed-off-by: Chris Cormack <chrisc@catalyst.net.nz>

Signed-off-by: Marcel de Rooy <m.de.rooy@rijksmuseum.nl>
Comment 51 Marcel de Rooy 2017-03-17 09:29:21 UTC
Created attachment 61204 [details] [review]
Bug 14608: Follow up on labels and search box

This addresses concerns raised in comment #26 and comment #27.

Signed-off-by: Chris Cormack <chrisc@catalyst.net.nz>

Signed-off-by: Marcel de Rooy <m.de.rooy@rijksmuseum.nl>
Comment 52 Marcel de Rooy 2017-03-17 09:29:25 UTC
Created attachment 61205 [details] [review]
Bug 14608: Move country list to an include file

Signed-off-by: Marcel de Rooy <m.de.rooy@rijksmuseum.nl>
Comment 53 Marcel de Rooy 2017-03-17 09:33:55 UTC
Looks good to me. Note that I expected more from this patch set than it actually does. It just seems to be another form for setting the HEA prefs.

As mentioned on the report, you will deal with translating the country list on a new report. Looking forward to that.
Comment 54 Jonathan Druart 2017-03-17 12:42:35 UTC
(In reply to Marcel de Rooy from comment #53)
> Looks good to me. Note that I expected more from this patch set than it
> actually does. It just seems to be another form for setting the HEA prefs.

What would you expect more? Seen bug 18066?
Comment 55 Marcel de Rooy 2017-03-17 12:46:02 UTC
(In reply to Jonathan Druart from comment #54)
> (In reply to Marcel de Rooy from comment #53)
> > Looks good to me. Note that I expected more from this patch set than it
> > actually does. It just seems to be another form for setting the HEA prefs.
> 
> What would you expect more? Seen bug 18066?

Only the title :)
Comment 56 Brendan Gallagher 2017-03-23 15:06:30 UTC
Pushed to Master - Should be in the 17.05 release. Thanks!
Comment 57 Katrin Fischer 2017-03-26 20:55:57 UTC
This won't get ported back to 16.11.x as it is an enhancement.
Comment 58 Jonathan Druart 2017-03-27 13:46:54 UTC
(In reply to Katrin Fischer from comment #57)
> This won't get ported back to 16.11.x as it is an enhancement.

That will need to be backported into stable releases, otherwise we will have to wait too long to get enough people using it.
Comment 59 Jonathan Druart 2017-03-27 13:47:34 UTC
(In reply to Jonathan Druart from comment #58)
> (In reply to Katrin Fischer from comment #57)
> > This won't get ported back to 16.11.x as it is an enhancement.
> 
> That will need to be backported into stable releases, otherwise we will have
> to wait too long to get enough people using it.

This is especially true for bug 18066.
Comment 60 Julian Maurice 2017-05-10 14:36:33 UTC
Pushed to 3.22.x for 3.22.21 (required for bug 18066)
Comment 61 Mason James 2017-05-24 02:02:45 UTC
Pushed to 16.05.x, for 16.05.13 release